%define name suspend
%define version 0.5
%define release %mkrel 11

Summary: Userland tools for suspend-to-disk and suspend-to-RAM
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: suspend-0.5-no_s2ram_quirks.patch
Patch1: suspend-0.5-bootsplash.patch
License: GPL
Group: System/Kernel and hardware
Url: http://suspend.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pciutils-devel glibc-static-devel lzf-devel
ExcludeArch: ppc
Obsoletes: wltool
Obsoletes: suspend-wltool
Requires(post): drakxtools-backend >= 10.4.97-1mdv2007.1
Requires(post): mkinitrd >= 4.2.17-27mdv2007.1

%description
The goal of the project is to create a tool that can handle the so
called "suspend-to-both". Suspend to both means that prior putting the
system in STR (suspend to ram) a snapshot of the running system is
taken and stored on disk (as suspend to disk); if for any reason
(e.g. battery depleted) the state store in the RAM is lost the user
can resume from the disk without loosing data.

Currenty suspend-to-ram and suspend-to-disk are handled by two
different program, s2ram and s2disk.

%package s2ram
Summary: Suspend-to-RAM utility
Group: System/Kernel and hardware
Conflicts: suspend < 0.5-4mdv2007.1

%description s2ram
s2ram is a suspend-to-RAM utility.

%prep
%setup -q
%patch0 -p1 -b .no_s2ram_quirks
%patch1 -p1 -b .bootsplash
perl -pi -e "s|^#?CONFIG_UDEV=.*|CONFIG_UDEV=yes|" Makefile
perl -pi -e "s|^#?CONFIG_COMPRESS=.*|CONFIG_COMPRESS=yes|" Makefile
perl -pi -e "s|^#?SUSPEND_DIR=.*|SUSPEND_DIR=%{_sbindir}|" Makefile
perl -pi -e 's/^#splash = y$/splash = y/' conf/suspend.conf

%build
%make

%install
rm -rf %{buildroot}
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post
/usr/sbin/bootloader-config --action rebuild-initrds || :

%files
%defattr(-,root,root)
%doc ChangeLog HOWTO README README.s2ram-whitelist ReleaseNotes TODO
%{_sbindir}/resume
%{_sbindir}/s2both
%{_sbindir}/s2disk
%{_sbindir}/swap-offset
%config(noreplace) %{_sysconfdir}/%{name}.conf

%files s2ram
%defattr(-,root,root)
%{_sbindir}/s2ram


%changelog
* Fri Mar 23 2007 Olivier Blin <oblin@mandriva.com> 0.5-11mdv2007.1
+ Revision: 148234
- require recent enough drakxtools-backend and mkinitrd for post

* Sun Mar 11 2007 Olivier Blin <oblin@mandriva.com> 0.5-10mdv2007.1
+ Revision: 141302
- mark suspend.conf as config(noreplace) (thanks to couriousous)
- build with compression support (not enabled by default)

* Tue Feb 27 2007 Olivier Blin <oblin@mandriva.com> 0.5-8mdv2007.1
+ Revision: 126219
- do not allow post to fail because of bootloader-config

* Fri Feb 16 2007 Olivier Blin <oblin@mandriva.com> 0.5-6mdv2007.1
+ Revision: 121861
- rebuild initrds in post

* Mon Jan 22 2007 Olivier Blin <oblin@mandriva.com> 0.5-5mdv2007.1
+ Revision: 112044
- enable splash by default
- fix freeze during hibernate when bootsplash is enabled (patch from Arnaud Patard)

* Wed Jan 17 2007 Olivier Blin <oblin@mandriva.com> 0.5-4mdv2007.1
+ Revision: 110060
- do not try to run s2ram tricks in s2both, pm-utils scripts will handle video quirks
- move s2ram in a separate package, it should not be used by default
- drop wltool, it should be replaced by an initscript using hal-info
- drop unwanted splashy support
- write options in Makefile instead of passing them on command line

* Mon Dec 18 2006 Christiaan Welvaart <spturtle@mandriva.org> 0.5-3mdv2007.1
+ Revision: 98445
- don't try to build on ppc

* Wed Dec 13 2006 Olivier Blin <oblin@mandriva.com> 0.5-2mdv2007.1
+ Revision: 96321
- provides wltool as well

* Tue Dec 12 2006 Olivier Blin <oblin@mandriva.com> 0.5-1mdv2007.1
+ Revision: 95989
- buildrequires glibc-static-devel
- buildrequires glibc-devel
- add Z61m in whitelist (settings from Frederic Crozat)
- merge with wltool package
- rediff patch1
- add D420 in whitelist (settings from Arnaud Patard)
- BuildRequires pciutils-devel
- add dummy whitelist entry (from wltool)
- initial suspend release
- Create suspend

